@REM *************** Begin Standard Header - Do not add comments here ***************
@REM 
@REM File:     PSIDeploymentServices/scripts/common/bin/stopApp.bat, ccmdb.psi, ccmdb_711
@REM Version:  1.2
@REM Modified: 4/21/08 11:42:36
@REM Build:    1 2
@REM 
@REM Licensed Materials - Property of IBM
@REM 
@REM Restricted Materials of IBM
@REM 
@REM 5724-M19
@REM 
@REM (C) COPYRIGHT IBM CORP. 2006, 2008.  All Rights Reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM **************************** End Standard Header *******************************
@REM ********************************************************************************
@REM 
@REM Defect   Name       Date      Description
@REM -------  ---------  --------  -----------------------------------------------
@REM ***************************** End Change History *******************************
@REM
@ECHO OFF

echo.
echo Entering %0 at %DATE% %TIME%
setlocal

call "%~dp0..\..\bin\setupPSIEnv.bat

set WAS_USER=%~1
set WAS_PWD=%~2
set WAS_SERVER=%~3
set WAS_NODE=%~4
set MXE_APP=%~5

set CCMDBHome=%CTG_CCMDB_HOME:\=/%
set ccmdbLib=%CCMDBHome%/lib
set ccmdbJacl=%CCMDBHome%/jacl/solutions
set C_PATH="%ccmdbLib%/icl.jar;%ccmdbLib%/CTGInstallCommon.jar;%ccmdbLib%/CTGInstallResources.jar"
set CLASSPATH=%CP%

set PATH=%JAVA_HOME%\bin;%PATH%

echo.
echo --------------------Diagnostic Information--------------------
echo WAS_HOME:                %WAS_HOME%
echo CTG_CCMDB_HOME:          %CTG_CCMDB_HOME%
echo Fixed CTG_CCMDB_HOME:    %CCMDBHome%
echo CTG_MAXIMO_HOME:         %CTG_MAXIMO_HOME%
echo.
echo WAS Username:            %WAS_USER%
echo WAS Password:            xxxxxxxxxx
echo.
echo WAS Server Node:         %WAS_NODE%
echo WAS Application Server:  %WAS_SERVER%
echo Application :  		  %MXE_APP%
echo.
echo CCMDB lib dir:           %ccmdbLib%
echo CCMDB JACL dir:          %ccmdbJacl%
echo.
echo system PATH:             %PATH%
echo wsadmin classpath:       %C_PATH%
echo java classpath:          %CLASSPATH%
echo --------------------------------------------------------------
echo.

echo Running wsadmin with "appInstall.py"
echo.
echo Command Line:
echo "%WAS_HOME%\ThinWsadmin" -user %WAS_USER% -password xxxxxxxxx -lang jython -f %CCMDBHome%/scripts/was/appInstall.py stop %MXE_APP% %WAS_NODE% %WAS_SERVER%
call "%WAS_HOME%\ThinWsadmin" -user %WAS_USER% -password %WAS_PWD% -lang jython -f %CCMDBHome%/scripts/was/appInstall.py stop %MXE_APP% %WAS_NODE% %WAS_SERVER%
IF %ERRORLEVEL% NEQ 0 goto ERRORSTOPSERVER

echo Running Java for 70-second sleep at %DATE% %TIME%
echo.
echo Command Line:
echo java com.ibm.tivoli.ccmdb.install.ps.services.deployment.PsidSleep 70
java com.ibm.tivoli.ccmdb.install.ps.services.deployment.PsidSleep 70
echo. 



IF %ERRORLEVEL% NEQ 0 goto ERRORUPDATEDB

goto END

:ERRORSTOPSERVER
echo %0 encountered an error stopping WebSphere Application Server %WAS_SERVER% on node %WAS_NODE% 1>&2
echo ERRORLEVEL was %ERRORLEVEL% 1>&2
echo returning value '1' to the Solution Install runtime at %DATE% %TIME% 1>&2
exit /b 1

:ERRORUPDATEDB
echo %0 encountered an error running the Maximo 'updatedb' script 1>&2
echo ERRORLEVEL was %ERRORLEVEL% 1>&2
echo returning value '1' to the Solution Install runtime at %DATE% %TIME% 1>&2
exit /b 1

:END
echo.
echo %0 successfully completed all operations.
echo.
echo Returning value '0' to the Solution Install runtime at %DATE% %TIME%
exit /b 0
